jQuery(document).ready(function($) {
    $('#wpsub-forgot-password-form').on('submit', function(e) {
        e.preventDefault();

        const email = $('#email').val();
        const security = wpsub_forgot_password_obj.security;

        $('#wpsub-forgot-password-btn').html('please wait...');
        
        $.ajax({
            url: wpsub_forgot_password_obj.ajax_url,
            method: 'POST',
            data: {
                action: 'wpsub_forgot_password',
                email: email,
                security: security,
            },
            beforeSend: function() {
                $('#wpsub-alert-message').text('Processing...');
            },
            success: function(response) {
                console.log(response);                
                if (response.success) {
                    $('#wpsub-alert-message').text(response.data.message).css('color', 'green');
                    $('#wpsub-forgot-password-btn').html('Reset Password')
                } else {
                    $('#wpsub-alert-message').text(response.data.message).css('color', 'red');
                    $('#wpsub-forgot-password-btn').html('Reset Password')
                }
            },
            error: function(xhr, status, error) {
                console.log(error);
                console.log(status);                
                $('#wpsub-alert-message').text('An error occurred. Please try again.').css('color', 'red');
                $('#wpsub-forgot-password-btn').html('Reset Password')
            }
        });
    });
});
