jQuery(document).ready(function($) {
    $('#wpsub-auth-form').on('submit', function(e) {
        e.preventDefault(); // Prevent the form from submitting the normal way

        // Hide any previous error messages
        $('#login-error-message').hide();
        
        // Get form data
        var formData = {
            'username': $('#user_login').val(),
            'password': $('#user_pass').val(),
            'rememberme': $('#rememberme').is(':checked') ? 1 : 0,
            'nonce': $('input[name="nonce"]').val()
        };

        // Perform AJAX login
        $('#wpsub-login-btn').html('please wait...');
        $.ajax({
            type: 'POST',
            url: wpsub_login_obj.ajax_url,
            data: {
                action: 'wpsub_ajax_login',
                ...formData
            },
            success: function(response) {
                if (response.success) {
                    window.location.href = response.data.redirect_url;
                    $('#wpsub-login-btn').html('Login')
                } else {
                    $('#wpsub-alert-message').html('<div class="alert alert-danger" role="alert">'+response.data.message+'</div>');
                    $('#wpsub-login-btn').html('Login')
                }
            },
            error: function() {
                $('#wpsub-alert-message').html('<div class="alert alert-danger" role="alert">An error occurred. Please try again later.</div>');
                $('#wpsub-login-btn').html('Login')
            }
        });
    });
});
