// jQuery(document).ready(function ($) {

//     $('#submission_mode').change(function () {
//         if ($(this).val() === 'paypal') {
//             $('#payment-section').show();
//             // $('.wpsub-submit-btn').hide();
//         } else {
//             $('#payment-section').hide();
//             // $('.wpsub-submit-btn').show();
//         }
//     });
//     paypal.Buttons({
//         createOrder: function (data, actions) {
            
//             return actions.order.create({
//                 purchase_units: [{
//                     amount: { value: wpsub_settings.price }
//                 }]
//             });
//         },
//         onApprove: function (data, actions) {
//             $('#wpsub-alert-message').html('<div class="alert alert-info" role="alert">Processing please wait....</div>');
//             return actions.order.capture().then(function (details) {
//                 alert('Payment successful. Thank you, ' + details.payer.name.given_name + '!');


//                 // $('#wpsub-post-form').append('<input type="hidden" name="payment_status" value="paid">');
//                 // $('#wpsub-post-form').append('<input type="hidden" name="transaction_id" value="'+details.id+'">');
//                 // $('#wpsub-post-form').append('<input type="hidden" name="gateway" value="paypal">');
//                 // $('#wpsub-post-form').append('<input type="hidden" name="submission_mode" value="paid">');
//                 // $('#wpsub-post-form').append('<input type="hidden" name="amount" value="'+details.purchase_units[0].amount.value+'">');
//                 // $('#wpsub-post-form').submit();
//             });
//         },
//         onCancel: function () {
//             alert('Payment canceled.');
//         }
//     }).render('#paypal-button-container'); // Render into the div
// });

jQuery(document).ready(function ($) {

    // POST PAYMENT FORM
    $('#wpsub-post-payment-form').on('submit', function (e) {
        // $('#wpsub-alert-message').html('');
        e.preventDefault();
    
        let formData = new FormData(this);        
        
        $.ajax({
            url     : wpsub_settings.ajax_url,
            type    : 'POST',
            data    : formData,
            processData : false,
            contentType : false,
            success: function (response) {    
                            
                if (response.success == true) {     
                    $('#wpsub-alert-message').html('<div class="alert alert-success" role="alert">'+response.data.message+'</div>');
                    // window.location.href = response.data.redirect_url;
                    window.open(response.data.redirect_url, '_blank');
                    setTimeout(() => {
                        location.reload();
                    }, 5000);
                } else {
                    // Display error messages
                    if (response.data.errors) {
                        for (const field in response.data.errors) {
                            const errorMessage = response.data.errors[field];
                            $(`[name="${field}"]`).after(`<div class="error-message" style="color:red;font-size:12px;">${errorMessage}</div>`);
                        }
                    } else {
                        alert(response.data); // Fallback for other errors
                    }
                }
            },
            error: function (xhr, status, error) {                
                $('#wpsub-alert-message').html('<div class="alert alert-danger" role="alert">An error occurred. Please try again. </div> ');
                alert('There was an error. Please check required fields and try again.');
            }
        });
    });


    // Payment Module of Paypal----
    const paypalButtonContainer = document.getElementById("paypal-button-container");
    if (paypalButtonContainer) {
        const postId    = paypalButtonContainer.getAttribute('data-post-id');

        paypal.Buttons({
            createOrder: function (data, actions) {
                // $('#wpsub-alert-message').html('<div class="alert alert-info" role="alert">Your payment is being processed, please wait11.</div>');
                return actions.order.create({
                    purchase_units: [
                        {
                            amount: {
                                value: wpsub_settings.price// Payment amount
                            },
                        },
                    ],
                });
            },
            onApprove: function (data, actions) {
                
                $('#wpsub-alert-message').html('<div class="alert alert-info" role="alert">Your payment is being processed, please wait.</div>');

                return actions.order.capture().then(function (details) {
                    // Redirect to payment success handler
                    $('#wpsub-post-payment-form').append('<input type="hidden" name="transaction_id" value="'+details.id+'">');
                    $('#wpsub-post-payment-form').append('<input type="hidden" name="post_id" value="'+postId+'">');
                    $('#wpsub-post-payment-form').append('<input type="hidden" name="gateway" value="paypal">');
                    $('#wpsub-post-payment-form').append('<input type="hidden" name="amount" value="'+details.purchase_units[0].amount.value+'">');
                    $('#wpsub-post-payment-form').submit();
                });
            },
        }).render("#paypal-button-container");
    }
});
