jQuery(document).ready(function ($) {
    $('#wpsub-signup-form').on('submit', function (e) {
        e.preventDefault(); // Prevent default form submission

        // Clear previous messages
        $('#signup-message').hide().text('');

        // Collect form data
        var formData = {
            action: 'wpsub_ajax_signup',
            nonce: $('input[name="nonce"]').val(),
            wpsub_username: $('#wpsub_username').val(),
            wpsub_email: $('#wpsub_email').val(),
            wpsub_password: $('#wpsub_password').val(),
        };

        // Send AJAX request
        $('#wpsub-signup-btn').html('please wait...');
        $.ajax({
            type: 'POST',
            url: wpsub_signup_obj.ajax_url,
            data: formData,
            success: function (response) {
                if (response.success) {
                    $('#wpsub-alert-message').html('<div class="alert alert-success" role="alert">'+response.data.message+'</div>');
                    $('#wpsub-signup-form')[0].reset(); // Reset the form
                    $('#wpsub-signup-btn').html('Sign Up')
                } else {
                    $('#wpsub-alert-message').html('<div class="alert alert-danger" role="alert">'+response.data.message+'</div>');
                    $('#wpsub-signup-btn').html('Sign Up')
                }
            },
            error: function () {
                $('#wpsub-alert-message').html('<div class="alert alert-danger" role="alert">An error occurred. Please try again later.</div>');
                $('#wpsub-signup-btn').html('Sign Up')
            },
        });
    });
});
