<?php
if (!defined('ABSPATH')) exit;

class WPSUB_Dashboard {
    
    public function __construct() {
        add_shortcode('wpsub_user_dashboard', [$this, 'render_dashboard_form']);
    }

    public static function render_dashboard_form() {
        if ( ! is_user_logged_in() ) {
            return "<p>You are not logged in. Please log in to continue. <a href=".esc_url( home_url( '/login' ) ).">Login</a></p>";
            exit;
        }

        // Get the current user's information
        $user = wp_get_current_user();
        $user_name = $user->display_name;

        // Get counts for pending and approved posts
        $user_id = get_current_user_id();
        $pending_count = (new WP_Query([
            'post_type'      => 'post',
            'post_status'    => 'pending',
            'author'         => $user_id,
            'posts_per_page' => -1,
        ]))->found_posts;

        $approved_count = (new WP_Query([
            'post_type'      => 'post',
            'post_status'    => 'publish',
            'author'         => $user_id,
            'posts_per_page' => -1,
        ]))->found_posts;

        // Generate the logout URL
        $logout_url = wp_logout_url(home_url());

        // Start output buffering to capture the template
        ob_start();
        include plugin_dir_path(__FILE__) . '../../templates/users/dashboard.php';
      
        return ob_get_clean();
    }
}