<?php

class WPSUB_Transaction {

    public function __construct() {
        add_shortcode('wpsub_user_transaction', [$this, 'render_transaction_history']);
        // add_action('init', [$this, 'download_invoice']);
    }

    public function render_transaction_history() {
        if (!is_user_logged_in()) {
            return "<p>You are not logged in. Please log in to continue. <a href=" . esc_url(home_url('/login')) . ">Login</a></p>";
        }
    
        // Check for nonce to prevent CSRF
        if (isset($_POST['transaction_history_nonce']) && !wp_verify_nonce($_POST['transaction_history_nonce'], 'transaction_history_action')) {
            return '<p>Nonce verification failed. Please try again.</p>';
        }
    
        global $wpdb;
        $user_id        = get_current_user_id();
        $table_name     = $wpdb->prefix . 'wpsub_transactions';
    
        // Prepare the query with placeholders (using $wpdb->prepare)
        $query = $wpdb->prepare(
            "SELECT * FROM $table_name WHERE user_id = %d ORDER BY id DESC", 
            $user_id
        );
        
        $transactions = $wpdb->get_results($query);// phpcs:ignore WordPress.DB.DirectDatabaseQuery
    
        $logout_url = wp_logout_url(home_url());
    
        // Add nonce field to the form for security
        ob_start();
        include plugin_dir_path(__FILE__) . '../../templates/users/transactions.php';
        return ob_get_clean();
    }
    
    

    // public function download_invoice() {

    //     if (!isset($_GET['download_invoice']) || !is_user_logged_in()) {
    //         return;
    //     }
    
    //     $transaction_id = intval($_GET['download_invoice']);
    //     global $wpdb;
    //     $table_name = $wpdb->prefix . 'wpsub_transactions';
    
    //     // Fetch the transaction securely
    //     $transaction = $wpdb->get_row(// phpcs:ignore WordPress.DB.DirectDatabaseQuery
    //         $wpdb->prepare("SELECT * FROM $table_name WHERE id = %d AND user_id = %d", $transaction_id, get_current_user_id())
    //     );
    
    //     if (!$transaction) {
    //         wp_die(esc_html__('Invalid transaction.', 'wizweb-post-submission'));
    //     }
    
    //     // Get and sanitize transaction data
    //     $transaction_id_safe = esc_html($transaction->transaction_id);
    //     $post_title_safe = esc_html(get_the_title($transaction->post_id));
    //     $amount_safe = esc_html(number_format($transaction->amount, 2));
    //     $status_safe = esc_html($transaction->status);
    //     $date_safe = esc_html($transaction->created_at);
    
    //     // Include TCPDF library
    //     if (!class_exists('TCPDF')) {
    //         require_once plugin_dir_path(__FILE__) . '../../lib/tcpdf/tcpdf.php';
    //     }
    
    //     // Create new PDF document
    //     $pdf = new TCPDF();
    //     $pdf->SetCreator(PDF_CREATOR);
    //     $pdf->SetAuthor('Wizweb IT Solutions');
    //     $pdf->SetTitle('Invoice');
    //     $pdf->SetHeaderData('', 0, 'Invoice', '');
    //     $pdf->setHeaderFont(['helvetica', '', 10]);
    //     $pdf->setFooterFont(['helvetica', '', 8]);
    
    //     // Add a page
    //     $pdf->AddPage();
    
    //     // Construct the invoice content
    //     $html = '<h1>Invoice</h1>';
    //     $html .= '<p><strong>' . esc_html__('Transaction ID:', 'wizweb-post-submission') . '</strong> ' . $transaction_id_safe . '</p>';
    //     $html .= '<p><strong>' . esc_html__('Post Title:', 'wizweb-post-submission') . '</strong> ' . $post_title_safe . '</p>';
    //     $html .= '<p><strong>' . esc_html__('Amount:', 'wizweb-post-submission') . '</strong> $' . $amount_safe . '</p>';
    //     $html .= '<p><strong>' . esc_html__('Status:', 'wizweb-post-submission') . '</strong> ' . $status_safe . '</p>';
    //     $html .= '<p><strong>' . esc_html__('Date:', 'wizweb-post-submission') . '</strong> ' . $date_safe . '</p>';
    
    //     // Output the HTML content as PDF
    //     $pdf->writeHTML($html, true, false, true, false, '');
    
    //     // Set headers for PDF download
    //     $pdf->Output('invoice-' . $transaction_id_safe . '.pdf', 'D'); // Forces download
    //     exit;
    // }
    
}

new WPSUB_Transaction();
