<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Get query parameters
$key      = isset($_GET['key']) ? sanitize_text_field(wp_unslash($_GET['key'])) : '';
$login    = isset($_GET['login']) ? sanitize_text_field(wp_unslash($_GET['login'])) : '';
$error    = isset($_GET['errors']) ? sanitize_text_field(wp_unslash($_GET['errors'])) : '';

if (empty($key) || empty($login)) {
    echo '<p>Invalid reset link. Please try again.</p>';exit;
}

?>
<form id="wpsub-reset-password-form" method="post" class="wpsub-auth-form" action="<?php echo esc_url(admin_url('admin-post.php')); ?>">

    <?php if (!empty($error)): ?>
        <div class="alert alert-danger">
            <?php echo esc_html($error); ?>
        </div>
    <?php endif; ?>

    <input type="hidden" name="action" value="wpsub_reset_password">
    <input type="hidden" name="key" value="<?php echo esc_attr($key); ?>">
    <input type="hidden" name="login" value="<?php echo esc_attr($login); ?>">
    <input type="hidden" name="nonce" value="<?php echo esc_attr(wp_create_nonce('wpsub_reset_password_nonce')); ?>">

    <p>
        <label for="new_password">New Password</label>
        <input type="password" name="new_password" id="new_password" class="input-field" required>
    </p>

    <p>
        <label for="confirm_password">Confirm Password</label>
        <input type="password" name="confirm_password" id="confirm_password" class="input-field" required>
    </p>

    <p>
        <input type="submit" name="wpsub_reset_password_submit" value="Reset Password">
    </p>
    <p>
        Already have an account? <a href="<?php echo esc_url( home_url( '/login' ) ); ?>">Login</a>
    </p>
</form>
