<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

$payments_settings = get_option( 'wpsub_payments_setting', [] );
?>

<div class="wpsub-dashboard">
    <div class="navbar">
        <div class="hamburger" id="hamburger">&#9776;</div>
        <ul id="menu">
            <li><a href="<?php echo esc_url(home_url('/dashboard')); ?>">Dashboard</a></li>
            <li><a href="<?php echo esc_url(home_url('/article-lists')); ?>">Articles</a></li>
            <?php if ( $payments_settings['paypal_status'] ): ?>
                <li><a href="<?php echo esc_url(home_url('/transactions')); ?>">Transactions</a></li>
            <?php endif; ?>
            <!-- <li><a href="<?php //echo esc_url(home_url('/profile')); ?>">Profile</a></li> -->
            <li><a href="<?php echo esc_url($logout_url); ?>">Logout</a></li>
        </ul>
    </div>

    <!-- Main Content -->
    <div class="main-content">
        <table>
            <thead>
                <tr>
                    <th>Title</th>
                    <th>Status</th>
                    <th>Created At</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
            <?php
            if (!$user_posts->have_posts()) {
            ?>
                <tr>
                    <td colspan="4"><?php echo esc_html__('No articles found.', 'wizweb-post-submission'); ?></td>                       
                </tr>
            <?php } else {
                while ($user_posts->have_posts()) : $user_posts->the_post(); ?>
                    <tr>
                        <td>
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <?php echo esc_html(get_the_title()); ?>
                            </a>
                        </td>
                        <td>
                            <?php echo esc_html(ucfirst(get_post_status())); ?>
                            <?php if (get_post_status() !== "publish") : ?>
                                <?php if ( $payments_settings['paypal_status'] ): ?>
                                    (
                                    <a target="_blank" 
                                    href="<?php 
                                    $url = add_query_arg(array(
                                        'post_id'   => get_the_ID(),
                                        '_wpnonce'  => wp_create_nonce('payment_button_nonce'),
                                        ), site_url('/payments'));
                                    echo esc_url($url); ?>" 
                                    onclick="return confirm('<?php echo esc_js(__('This post has not yet been published. To proceed, kindly make the necessary payment. Once the payment is complete, your post will be published.', 'wizweb-post-submission')); ?>');">
                                        <?php echo esc_html__('Publish', 'wizweb-post-submission'); ?>
                                    </a>
                                    )
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                        <td><?php echo esc_html(get_the_date()); ?></td>
                        <td>
                            <a href="<?php echo esc_url(add_query_arg([
                                'wpsub_delete_post' => get_the_ID(),
                                'wpsub_nonce' => wp_create_nonce('wpsub_delete_post_' . get_the_ID())
                            ])); ?>" 
                               class="delete-post" 
                               style="color: red;" 
                               onclick="return confirm('<?php echo esc_js(__('Are you sure you want to delete this post? It cannot be recovered once deleted.', 'wizweb-post-submission')); ?>');">
                                <?php echo esc_html__('Delete', 'wizweb-post-submission'); ?>
                            </a>
                        </td>
                    </tr>
                <?php endwhile; 
            } ?>
            </tbody>
        </table>       
    </div>   
</div>
