<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

$payments_settings = get_option( 'wpsub_payments_setting', [] );
?>
<?php if ( $payments_settings['paypal_status'] ): ?>
<div class="wpsub-dashboard">
    <div class="navbar">
        <div class="hamburger" id="hamburger">&#9776;</div>
        <ul id="menu">
            <li><a href="<?php echo esc_url(home_url('/dashboard')); ?>">Dashboard</a></li>
            <li><a href="<?php echo esc_url(home_url('/article-lists')); ?>">Articles</a></li>
            <li><a href="<?php echo esc_url(home_url('/transactions')); ?>">Transactions</a></li>
            <!-- <li><a href="<?php //echo esc_url(home_url('/profile')); ?>">Profile</a></li> -->
            <li><a href="<?php echo esc_url($logout_url); ?>">Logout</a></li>
        </ul>
    </div>
    <!-- Main Content -->
    <div class="main-content">
        <table>
            <thead>
                <tr>
                    <th>Transaction ID</th>
                    <th>Article</th>
                    <th>Amount</th>
                    <th>Status</th>
                    <th>Date</th>
                </tr>
            </thead>
            <tbody>
            <?php 
                if (empty($transactions)) { // Fix condition check for empty array
                ?>
                    <tr>
                        <td colspan="6"><?php echo esc_html__('No transactions found.', 'wizweb-post-submission'); ?></td>                       
                    </tr>
                <?php } else { 
                    foreach ($transactions as $transaction): ?>
                        <tr>
                            <td><?php echo esc_html($transaction->transaction_id); ?></td>
                            <td>
                                <?php 
                                    if (get_post_status($transaction->post_id)) {
                                        echo '<a href="' . esc_url(get_permalink($transaction->post_id)) . '" target="_blank">' . esc_html(get_the_title($transaction->post_id)) . '</a>';
                                    } else {
                                        echo esc_html__('Article not found; it may have been deleted.', 'wizweb-post-submission');
                                    }
                                ?>
                            </td>
                            <td>$<?php echo esc_html(number_format($transaction->amount, 2)); ?></td>
                            <td><?php echo esc_html($transaction->status); ?></td>
                            <td><?php echo esc_html(gmdate('F j, Y', strtotime($transaction->created_at))); ?></td>
                        </tr>
                    <?php endforeach; 
                } ?>
            </tbody>
        </table>       
    </div>   
</div>
<?php endif; ?>